return {
    "folke/noice.nvim",
    event = "VeryLazy",
    dependencies = {
        "MunifTanjim/nui.nvim",
        "rcarriga/nvim-notify",
    },
    config = function()
        require("noice").setup({
            lsp = {
                -- override markdown rendering so that **cmp** and other plugins use **Treesitter**
                override = {
                    ["vim.lsp.util.convert_input_to_markdown_lines"] = true,
                    ["vim.lsp.util.stylize_markdown"] = true,
                    ["cmp.entry.get_documentation"] = true,
                },
            },
            -- you can enable a preset for easier configuration
            presets = {
                bottom_search = true,         -- use a classic bottom cmdline for search
                command_palette = false,       -- position the cmdline and popupmenu together
                long_message_to_split = true, -- long messages will be sent to a split
                inc_rename = false,           -- enables an input dialog for inc-rename.nvim
                lsp_doc_border = true,       -- add a border to hover docs and signature help
            },
            routes = {
                {
                    -- this is needed to filter out excessive lsp progress messages from Ionide(F#)
                    -- we just check if the message contains .fs extension and skip it
                    filter = {
                        event = "lsp",
                        kind = "progress",
                        find = ".*%.fs.*",
                    },
                    opts = { skip = true },
                },
            },
        })

        require("notify").setup({
            background_colour = "#000000",
        })
    end
}
